Subject: Re: bug#31801: 26.1; Repeatable crash reading GOG emails in Gnus

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jun 2018 20:26:58 +0300

> From: Jason L Tibbitts III <[email-masked]>
> Date: Tue, 12 Jun 2018 12:10:10 -0500
> 
> This is a bit of an odd one, but emacs 26.1 (as packaged by Fedora) will
> crash repeatably when I run gnus and access a folder which contains an
> email from gog.com (a video game service).  I don't believe it is
> required that the email be opened; even displaying it in a summary
> buffer seems to be enough.
> 
> The crash does not happen in console mode (emacs -nw); X is required.
> When this happens I just fire up emacs -nw and move the offending
> message into a different folder.
> 
> I can provide an example email if needed.  I don't think there's
> anything private in there.

Looks like another incarnation of bug#30874, see there for solutions.

> Here's a full backtrace with debuginfo packages installed; my gdb does
> not know "xbacktrace".

GDB will know about xbacktrace if you type these commands:

 (gdb) source /path/to/emacs/src/.gdbinit